Payment Notification

Notification from Praxis where merchant would receive the latest status of the transaction.

Note:

You would be sending notification_url as part of Initiate payment payload and Praxis would send the latest status to this mentioned url.

Body Params
string
required
length ≤ 50

Merchant API client account identifier.

string
required
length ≤ 32

Identifier of your application (website).

string
required
length ≤ 3

API version.

integer
required

Request time (unix timestamp, seconds).

double
0 to 10000000000

Conversion rate between currency and processed_currency applied during conversion from amount to processed_amount. Applies to successful transactions. The value is calculated as 1 processed_currency / 1 currency = conversion_rate

customer
object
required

The customer representation object provided during the response.

session
object
required

Session Object provided during the response.

transaction
object

Transaction object provided during the response.

Headers
string
required

Authentication HTTP header of an incoming webhook notification request from Praxis. Verify the signature with the below attributes from the webhook notification request.

  • merchant_id
  • application_key
  • timestamp
  • customer.customer_token
  • session.order_id
  • transaction.tid
  • transaction.currency
  • transaction.amount
  • transaction.conversion_rate
  • transaction.processed_currency
  • transaction.processed_amount
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json